import{s as oa,n as sa,o as na}from"../chunks/scheduler.37c15a92.js";import{S as ra,i as la,g as r,s,u as c,m as ia,A as pa,h as l,f as t,c as n,j as b,v as u,y as i,n as ma,k as p,o as m,a as o,w as d,d as v,t as f,x as h}from"../chunks/index.f3f47ebe.js";import{I as ft}from"../chunks/IconCopyLink.2324d195.js";import{C as $}from"../chunks/CodeBlock.787434ab.js";function ca(wt){let g,xe,be,Me,w,M,$e,H,ht,de,yt="Introdução",_e,q,Ct='Bem-vindo(a) ao curso da Hugging Face! Essa introdução te guiará para a configuração do ambiente de trabalho. Se você está começando agora o curso, nós recomendamos que você primeiramente dê uma olhada no <a href="/course/chapter1">Capítulo 1</a>, para só então voltar aqui, configurar o ambiente e começar a por a mão no código.',ke,L,xt="Todas as bibliotecas que usaremos nesse curso estão disponíveis como pacotes do Python, então aqui iremos te mostrar como configurar o ambiente no Python e instalar as bibliotecas específicas que você precisará.",Te,U,Mt="Abordaremos 2 modos de configurar o ambiente, usando um Colab notebook ou um ambiente virtual Python. Fique à vontade para escolher o que mais fizer sentido para você.  Para os iniciantes, recomendamos fortemente que vocês iniciem pelo Colab notebook.",Pe,J,_t="Note que nós não iremos cobrir o básico sobre o Windows. Se você estiver usando o Windows, recomendamos seguir as instruções pelo Colab notebook. Se estiver usando Linux ou macOS, você pode escolher qualquer uma das abordagens descritas aqui.",je,I,kt='A maior parte do curso depende de você ter uma conta na Hugging Face. Recomendamos criar uma agora <a href="https://huggingface.co/join" rel="nofollow">criar uma conta</a>.',He,y,_,ge,N,bt,ve,Tt="Usando um notebook Google Colab",qe,G,Pt=`Se você não está familiarizado com o Colab, recomendamos seguir essa [introdução]
(<a href="https://colab.research.google.com/notebooks/intro.ipynb" rel="nofollow">https://colab.research.google.com/notebooks/intro.ipynb</a>). O Colab permitirá você usar algumas acelerações de hardware, como GPUs ou TPUs, e é gratuito para ambientes de trabalho pequenos.`,Le,E,jt="Uma vez que você estiver confortável com o ambiente do Colab, crie um novo notebook e comece com essa configuração:",Ue,k,Ht='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/new_colab.png" alt="An empty colab notebook" width="80%"/>',Je,W,qt="O próximo passo é instalar as bibliotecas que serão usadas nesse curso. Usaremos <code>pip</code> para a instalação, que é o gerenciador de pacotes do Python. Nos notebooks, você pode rodar os comandos do sistema precedendo do caractere <code>!</code>, então você poderá instalar a biblioteca 🤗 Transformers da seguinte forma:",Ie,Z,Ne,z,Lt="Você pode assegurar que o pacote foi instalado corretamente por meio de sua importação dentro do ambiente de execução do Python:",Ge,A,Ee,T,Ut='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/install.gif" alt="A gif showing the result of the two commands above: installation and import" width="80%"/>',We,S,Jt="Isso instalará uma versão bem leve da 🤗 Transformers. Em particular, nenhum framework de aprendizagem de máquina (como PyTorch ou TensorFlow) estão instalados. Desde que iremos usar bastante de suas features na biblioteca, recomendamos instalar a versão de desenvolvimento, que vem com todas as dependências requisitadas para cada caso de uso imaginável:",Ze,V,ze,R,It="Isso levará um pouco de tempo, mas quando acabar você estará pronto/a para seguir o resto do curso!",Ae,C,P,we,B,$t,fe,Nt="Usando um ambiente virtual Python",Se,X,Gt='Se você perferir usar o ambiente virtual Python, o primeiro passo é instalar o Python no seu sistema. Nós recomendamos <a href="https://realpython.com/installing-python/" rel="nofollow">esse guia</a> para começar.',Ve,F,Et="Uma vez instalado o Python, você será capaz de rodar os comandos do Python em seu terminal. Você pode iniciar por rodar o seguinte comando para ter certeza que está instalado corretamente antes de iniciar os seguintes passos: <code>python --version</code>. Isso irá imprimir na tela a versão do Python disponível no seu sistema.",Re,Y,Wt="Quando você rodar um comando Python no seu terminal, como o <code>python --version</code>, você deve imaginar como um programa rodando seu comando como o “main” Python no seu sistema. Recomendamos manter essa instalação livre de qualquer pacote, e usando a para criar ambientes separados para cada aplicação que você for trabalhar - desse modo, cada aplicação pode ter suas próprias dependências e pacotes, e você não precisará se preocupar sobre potenciais problemas de compatibilidades com outras aplicações.",Be,Q,Zt='No Python isso é feito com <a href="https://docs.python.org/3/tutorial/venv.html" rel="nofollow"><em>ambientes virtuais</em></a>, que é uma árvore de diretórios que contém a instalação do Python com uma versão particular do mesmo juntamente com todos os pacotes que a aplicação precisa. Criar um ambiente virtual como esse pode ser feito com inúmeras ferramentas, mas usaremos o pacote oficial do Python para esse propósito, que se chama <a href="https://docs.python.org/3/library/venv.html#module-venv" rel="nofollow"><code>venv</code></a>.',Xe,D,zt="Primeiro, crie o diretório que você gostaria que sua aplicação existisse - por exemplo, você pode querer criar um novo diretório chamado <em>curso-transformers</em> na raíz de seu diretório home:",Fe,O,Ye,K,At="Dentro desse diretório, crie um ambiente virtual usando o módulo Python <code>venv</code>:",Qe,ee,De,te,St="Agora você deve ter dentro um diretório chamado <em>.env</em> em sua pasta vazia:",Oe,ae,Ke,oe,et,se,Vt="Você pode acessar e sair do seu ambiente virtual com os scripts <code>activate</code> e <code>deactivate</code>:",tt,ne,at,re,Rt="Você pode ter certeza que seu ambiente virtual está ativado rodando o comando <code>which python</code>: se ele apontar para o ambiente virtual, então você conseguiu ativa-lo com sucesso!",ot,le,st,ie,nt,x,j,ye,pe,gt,he,Bt="Instalando dependências",rt,me,Xt="Como na seção passada usando as instâncias do Google Colab, você precisará instalar os pacotes necessários para continuar. Novamente, você pode instalar a versão de desenvolvimento da 🤗 Transformers usando o gerenciador de pacotes <code>pip</code>:",lt,ce,it,ue,Ft="Você agora configurou tudo e está pronto para seguir!",pt,Ce,mt;return H=new ft({}),N=new ft({}),Z=new $({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnM=",highlighted:'!pip <span class="hljs-keyword">install</span> transformers',wrap:!1}}),A=new $({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJz",highlighted:'<span class="hljs-keyword">import</span> transformers',wrap:!1}}),V=new $({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnMlNUJzZW50ZW5jZXBpZWNlJTVE",highlighted:'!pip <span class="hljs-keyword">install</span> transformers[sentencepiece]',wrap:!1}}),B=new ft({}),O=new $({props:{code:"bWtkaXIlMjB+JTJGdHJhbnNmb3JtZXJzLWNvdXJzZSUwQWNkJTIwfiUyRnRyYW5zZm9ybWVycy1jb3Vyc2U=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/transformers-course
<span class="hljs-built_in">cd</span> ~/transformers-course`,wrap:!1}}),ee=new $({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'<span class="hljs-keyword">python</span> -m venv .<span class="hljs-keyword">env</span>',wrap:!1}}),ae=new $({props:{code:"bHMlMjAtYQ==",highlighted:'<span class="hljs-built_in">ls</span> -a',wrap:!1}}),oe=new $({props:{code:"LiUyMCUyMCUyMCUyMCUyMCUyMC4uJTIwJTIwJTIwJTIwLmVudg==",highlighted:'.      <span class="hljs-string">..</span>    <span class="hljs-string">.env</span>',wrap:!1}}),ne=new $({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),le=new $({props:{code:"d2hpY2glMjBweXRob24=",highlighted:'<span class="hljs-built_in">which</span> python',wrap:!1}}),ie=new $({props:{code:"JTJGaG9tZSUyRiUzQ3VzZXIlM0UlMkZ0cmFuc2Zvcm1lcnMtY291cnNlJTJGLmVudiUyRmJpbiUyRnB5dGhvbg==",highlighted:'<span class="hljs-regexp">/home/</span>&lt;user&gt;<span class="hljs-regexp">/transformers-course/</span>.env<span class="hljs-regexp">/bin/</span>python',wrap:!1}}),pe=new ft({}),ce=new $({props:{code:"cGlwJTIwaW5zdGFsbCUyMCUyMnRyYW5zZm9ybWVycyU1QnNlbnRlbmNlcGllY2UlNUQlMjI=",highlighted:'pip <span class="hljs-keyword">install</span> <span class="hljs-string">&quot;transformers[sentencepiece]&quot;</span>',wrap:!1}}),{c(){g=r("meta"),xe=s(),be=r("p"),Me=s(),w=r("h1"),M=r("a"),$e=r("span"),c(H.$$.fragment),ht=s(),de=r("span"),de.textContent=yt,_e=s(),q=r("p"),q.innerHTML=Ct,ke=s(),L=r("p"),L.textContent=xt,Te=s(),U=r("p"),U.textContent=Mt,Pe=s(),J=r("p"),J.textContent=_t,je=s(),I=r("p"),I.innerHTML=kt,He=s(),y=r("h2"),_=r("a"),ge=r("span"),c(N.$$.fragment),bt=s(),ve=r("span"),ve.textContent=Tt,qe=ia(`


Usar um notebook Colab é a maneira mais simples possível de configuração, coloque um notebook no seu navegador e se prepare para a codificação!
`),G=r("p"),G.innerHTML=Pt,Le=s(),E=r("p"),E.textContent=jt,Ue=s(),k=r("div"),k.innerHTML=Ht,Je=s(),W=r("p"),W.innerHTML=qt,Ie=s(),c(Z.$$.fragment),Ne=s(),z=r("p"),z.textContent=Lt,Ge=s(),c(A.$$.fragment),Ee=s(),T=r("div"),T.innerHTML=Ut,We=s(),S=r("p"),S.textContent=Jt,Ze=s(),c(V.$$.fragment),ze=s(),R=r("p"),R.textContent=It,Ae=s(),C=r("h2"),P=r("a"),we=r("span"),c(B.$$.fragment),$t=s(),fe=r("span"),fe.textContent=Nt,Se=s(),X=r("p"),X.innerHTML=Gt,Ve=s(),F=r("p"),F.innerHTML=Et,Re=s(),Y=r("p"),Y.innerHTML=Wt,Be=s(),Q=r("p"),Q.innerHTML=Zt,Xe=s(),D=r("p"),D.innerHTML=zt,Fe=s(),c(O.$$.fragment),Ye=s(),K=r("p"),K.innerHTML=At,Qe=s(),c(ee.$$.fragment),De=s(),te=r("p"),te.innerHTML=St,Oe=s(),c(ae.$$.fragment),Ke=s(),c(oe.$$.fragment),et=s(),se=r("p"),se.innerHTML=Vt,tt=s(),c(ne.$$.fragment),at=s(),re=r("p"),re.innerHTML=Rt,ot=s(),c(le.$$.fragment),st=s(),c(ie.$$.fragment),nt=s(),x=r("h3"),j=r("a"),ye=r("span"),c(pe.$$.fragment),gt=s(),he=r("span"),he.textContent=Bt,rt=s(),me=r("p"),me.innerHTML=Xt,lt=s(),c(ce.$$.fragment),it=s(),ue=r("p"),ue.textContent=Ft,pt=s(),Ce=r("p"),this.h()},l(e){const a=pa("svelte-1phssyn",document.head);g=l(a,"META",{name:!0,content:!0}),a.forEach(t),xe=n(e),be=l(e,"P",{}),b(be).forEach(t),Me=n(e),w=l(e,"H1",{class:!0});var ct=b(w);M=l(ct,"A",{id:!0,class:!0,href:!0});var Yt=b(M);$e=l(Yt,"SPAN",{});var Qt=b($e);u(H.$$.fragment,Qt),Qt.forEach(t),Yt.forEach(t),ht=n(ct),de=l(ct,"SPAN",{"data-svelte-h":!0}),i(de)!=="svelte-1f5xrrl"&&(de.textContent=yt),ct.forEach(t),_e=n(e),q=l(e,"P",{"data-svelte-h":!0}),i(q)!=="svelte-1sccyy7"&&(q.innerHTML=Ct),ke=n(e),L=l(e,"P",{"data-svelte-h":!0}),i(L)!=="svelte-1pookyt"&&(L.textContent=xt),Te=n(e),U=l(e,"P",{"data-svelte-h":!0}),i(U)!=="svelte-hteu4b"&&(U.textContent=Mt),Pe=n(e),J=l(e,"P",{"data-svelte-h":!0}),i(J)!=="svelte-1jj0tts"&&(J.textContent=_t),je=n(e),I=l(e,"P",{"data-svelte-h":!0}),i(I)!=="svelte-ivkibr"&&(I.innerHTML=kt),He=n(e),y=l(e,"H2",{class:!0});var ut=b(y);_=l(ut,"A",{id:!0,class:!0,href:!0});var Dt=b(_);ge=l(Dt,"SPAN",{});var Ot=b(ge);u(N.$$.fragment,Ot),Ot.forEach(t),Dt.forEach(t),bt=n(ut),ve=l(ut,"SPAN",{"data-svelte-h":!0}),i(ve)!=="svelte-1uc52i2"&&(ve.textContent=Tt),ut.forEach(t),qe=ma(e,`


Usar um notebook Colab é a maneira mais simples possível de configuração, coloque um notebook no seu navegador e se prepare para a codificação!
`),G=l(e,"P",{"data-svelte-h":!0}),i(G)!=="svelte-sgko0w"&&(G.innerHTML=Pt),Le=n(e),E=l(e,"P",{"data-svelte-h":!0}),i(E)!=="svelte-1cq1pyk"&&(E.textContent=jt),Ue=n(e),k=l(e,"DIV",{class:!0,"data-svelte-h":!0}),i(k)!=="svelte-1mpe2rl"&&(k.innerHTML=Ht),Je=n(e),W=l(e,"P",{"data-svelte-h":!0}),i(W)!=="svelte-12fekw2"&&(W.innerHTML=qt),Ie=n(e),u(Z.$$.fragment,e),Ne=n(e),z=l(e,"P",{"data-svelte-h":!0}),i(z)!=="svelte-wjxdgq"&&(z.textContent=Lt),Ge=n(e),u(A.$$.fragment,e),Ee=n(e),T=l(e,"DIV",{class:!0,"data-svelte-h":!0}),i(T)!=="svelte-1cj51wg"&&(T.innerHTML=Ut),We=n(e),S=l(e,"P",{"data-svelte-h":!0}),i(S)!=="svelte-7bpxg4"&&(S.textContent=Jt),Ze=n(e),u(V.$$.fragment,e),ze=n(e),R=l(e,"P",{"data-svelte-h":!0}),i(R)!=="svelte-vtko65"&&(R.textContent=It),Ae=n(e),C=l(e,"H2",{class:!0});var dt=b(C);P=l(dt,"A",{id:!0,class:!0,href:!0});var Kt=b(P);we=l(Kt,"SPAN",{});var ea=b(we);u(B.$$.fragment,ea),ea.forEach(t),Kt.forEach(t),$t=n(dt),fe=l(dt,"SPAN",{"data-svelte-h":!0}),i(fe)!=="svelte-ayq4fd"&&(fe.textContent=Nt),dt.forEach(t),Se=n(e),X=l(e,"P",{"data-svelte-h":!0}),i(X)!=="svelte-aa8hrd"&&(X.innerHTML=Gt),Ve=n(e),F=l(e,"P",{"data-svelte-h":!0}),i(F)!=="svelte-138fb3f"&&(F.innerHTML=Et),Re=n(e),Y=l(e,"P",{"data-svelte-h":!0}),i(Y)!=="svelte-17pm0s0"&&(Y.innerHTML=Wt),Be=n(e),Q=l(e,"P",{"data-svelte-h":!0}),i(Q)!=="svelte-xls7gt"&&(Q.innerHTML=Zt),Xe=n(e),D=l(e,"P",{"data-svelte-h":!0}),i(D)!=="svelte-1odsa49"&&(D.innerHTML=zt),Fe=n(e),u(O.$$.fragment,e),Ye=n(e),K=l(e,"P",{"data-svelte-h":!0}),i(K)!=="svelte-mfntj"&&(K.innerHTML=At),Qe=n(e),u(ee.$$.fragment,e),De=n(e),te=l(e,"P",{"data-svelte-h":!0}),i(te)!=="svelte-12wnrn8"&&(te.innerHTML=St),Oe=n(e),u(ae.$$.fragment,e),Ke=n(e),u(oe.$$.fragment,e),et=n(e),se=l(e,"P",{"data-svelte-h":!0}),i(se)!=="svelte-gngv1z"&&(se.innerHTML=Vt),tt=n(e),u(ne.$$.fragment,e),at=n(e),re=l(e,"P",{"data-svelte-h":!0}),i(re)!=="svelte-1usv6k6"&&(re.innerHTML=Rt),ot=n(e),u(le.$$.fragment,e),st=n(e),u(ie.$$.fragment,e),nt=n(e),x=l(e,"H3",{class:!0});var vt=b(x);j=l(vt,"A",{id:!0,class:!0,href:!0});var ta=b(j);ye=l(ta,"SPAN",{});var aa=b(ye);u(pe.$$.fragment,aa),aa.forEach(t),ta.forEach(t),gt=n(vt),he=l(vt,"SPAN",{"data-svelte-h":!0}),i(he)!=="svelte-1u580os"&&(he.textContent=Bt),vt.forEach(t),rt=n(e),me=l(e,"P",{"data-svelte-h":!0}),i(me)!=="svelte-1nh9cdm"&&(me.innerHTML=Xt),lt=n(e),u(ce.$$.fragment,e),it=n(e),ue=l(e,"P",{"data-svelte-h":!0}),i(ue)!=="svelte-1ag3kf5"&&(ue.textContent=Ft),pt=n(e),Ce=l(e,"P",{}),b(Ce).forEach(t),this.h()},h(){p(g,"name","hf:doc:metadata"),p(g,"content",JSON.stringify(ua)),p(M,"id","introduo"),p(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(M,"href","#introduo"),p(w,"class","relative group"),p(_,"id","usando-um-notebook-google-colab"),p(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(_,"href","#usando-um-notebook-google-colab"),p(y,"class","relative group"),p(k,"class","flex justify-center"),p(T,"class","flex justify-center"),p(P,"id","usando-um-ambiente-virtual-python"),p(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(P,"href","#usando-um-ambiente-virtual-python"),p(C,"class","relative group"),p(j,"id","instalando-dependncias"),p(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(j,"href","#instalando-dependncias"),p(x,"class","relative group")},m(e,a){m(document.head,g),o(e,xe,a),o(e,be,a),o(e,Me,a),o(e,w,a),m(w,M),m(M,$e),d(H,$e,null),m(w,ht),m(w,de),o(e,_e,a),o(e,q,a),o(e,ke,a),o(e,L,a),o(e,Te,a),o(e,U,a),o(e,Pe,a),o(e,J,a),o(e,je,a),o(e,I,a),o(e,He,a),o(e,y,a),m(y,_),m(_,ge),d(N,ge,null),m(y,bt),m(y,ve),o(e,qe,a),o(e,G,a),o(e,Le,a),o(e,E,a),o(e,Ue,a),o(e,k,a),o(e,Je,a),o(e,W,a),o(e,Ie,a),d(Z,e,a),o(e,Ne,a),o(e,z,a),o(e,Ge,a),d(A,e,a),o(e,Ee,a),o(e,T,a),o(e,We,a),o(e,S,a),o(e,Ze,a),d(V,e,a),o(e,ze,a),o(e,R,a),o(e,Ae,a),o(e,C,a),m(C,P),m(P,we),d(B,we,null),m(C,$t),m(C,fe),o(e,Se,a),o(e,X,a),o(e,Ve,a),o(e,F,a),o(e,Re,a),o(e,Y,a),o(e,Be,a),o(e,Q,a),o(e,Xe,a),o(e,D,a),o(e,Fe,a),d(O,e,a),o(e,Ye,a),o(e,K,a),o(e,Qe,a),d(ee,e,a),o(e,De,a),o(e,te,a),o(e,Oe,a),d(ae,e,a),o(e,Ke,a),d(oe,e,a),o(e,et,a),o(e,se,a),o(e,tt,a),d(ne,e,a),o(e,at,a),o(e,re,a),o(e,ot,a),d(le,e,a),o(e,st,a),d(ie,e,a),o(e,nt,a),o(e,x,a),m(x,j),m(j,ye),d(pe,ye,null),m(x,gt),m(x,he),o(e,rt,a),o(e,me,a),o(e,lt,a),d(ce,e,a),o(e,it,a),o(e,ue,a),o(e,pt,a),o(e,Ce,a),mt=!0},p:sa,i(e){mt||(v(H.$$.fragment,e),v(N.$$.fragment,e),v(Z.$$.fragment,e),v(A.$$.fragment,e),v(V.$$.fragment,e),v(B.$$.fragment,e),v(O.$$.fragment,e),v(ee.$$.fragment,e),v(ae.$$.fragment,e),v(oe.$$.fragment,e),v(ne.$$.fragment,e),v(le.$$.fragment,e),v(ie.$$.fragment,e),v(pe.$$.fragment,e),v(ce.$$.fragment,e),mt=!0)},o(e){f(H.$$.fragment,e),f(N.$$.fragment,e),f(Z.$$.fragment,e),f(A.$$.fragment,e),f(V.$$.fragment,e),f(B.$$.fragment,e),f(O.$$.fragment,e),f(ee.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(ne.$$.fragment,e),f(le.$$.fragment,e),f(ie.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),mt=!1},d(e){e&&(t(xe),t(be),t(Me),t(w),t(_e),t(q),t(ke),t(L),t(Te),t(U),t(Pe),t(J),t(je),t(I),t(He),t(y),t(qe),t(G),t(Le),t(E),t(Ue),t(k),t(Je),t(W),t(Ie),t(Ne),t(z),t(Ge),t(Ee),t(T),t(We),t(S),t(Ze),t(ze),t(R),t(Ae),t(C),t(Se),t(X),t(Ve),t(F),t(Re),t(Y),t(Be),t(Q),t(Xe),t(D),t(Fe),t(Ye),t(K),t(Qe),t(De),t(te),t(Oe),t(Ke),t(et),t(se),t(tt),t(at),t(re),t(ot),t(st),t(nt),t(x),t(rt),t(me),t(lt),t(it),t(ue),t(pt),t(Ce)),t(g),h(H),h(N),h(Z,e),h(A,e),h(V,e),h(B),h(O,e),h(ee,e),h(ae,e),h(oe,e),h(ne,e),h(le,e),h(ie,e),h(pe),h(ce,e)}}}const ua={local:"introduo",sections:[{local:"usando-um-notebook-google-colab",title:"Usando um notebook Google Colab"},{local:"usando-um-ambiente-virtual-python",sections:[{local:"instalando-dependncias",title:"Instalando dependências"}],title:"Usando um ambiente virtual Python"}],title:"Introdução"};function da(wt){return na(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $a extends ra{constructor(g){super(),la(this,g,da,ca,oa,{})}}export{$a as component};
