import{s as ya,n as Ca,o as ba}from"../chunks/scheduler.37c15a92.js";import{S as ka,i as Ea,g as r,s as i,u as f,A as Aa,h as s,f as t,c as h,j as p,v as c,y as v,k as n,o as l,a as o,w as u,d as $,t as d,x as m}from"../chunks/index.f3f47ebe.js";import{I as x}from"../chunks/IconCopyLink.2324d195.js";import{C as _a}from"../chunks/CodeBlock.787434ab.js";import{C as Na}from"../chunks/CourseFloatingBanner.387a2868.js";import{Q as w}from"../chunks/Question.9bb80889.js";function Pa(jt){let g,Ie,Ae,De,_,H,Ne,Z,At,me,Gt="Тест по главе 5",Le,F,Ze,z,It="Эта глава охватила много вопросов! Не волнуйтесь, если вы не поняли всех деталей; следующие главы помогут вам понять, как все работает внутри.",Fe,B,Dt="Однако, прежде чем двигаться дальше, давайте проверим то, что вы узнали в этой главе.",ze,y,J,Pe,Y,Nt,ve,Lt="Из каких источников функция <code>load_dataset()</code> в 🤗 Datasets позволяет загружать наборы данных?",Be,X,Ye,C,T,Se,W,Pt,xe,Zt="2. Предположим, вы загружаете одну из задач GLUE следующим образом:",Xe,Q,We,V,Ft="Какая из следующих команд создаст случайную выборку из 50 элементов из <code>dataset</code>?",Qe,K,Ve,b,q,Me,O,St,we,zt="3. Предположим, у вас есть набор данных о домашних питомцах под названием <code>pets_dataset</code>, в котором есть столбец <code>name</code>, обозначающий имя каждого питомца. Какой из следующих подходов позволит вам отфильтровать набор данных для всех домашних животных, имена которых начинаются с буквы «L»?",Ke,ee,Oe,k,U,He,te,Mt,ge,Bt="4. Что такое отображение в память?",et,ae,tt,E,R,Je,re,Ht,_e,Yt="5. Что из перечисленного ниже является основным преимуществом отображения памяти?",at,se,rt,A,j,Te,ne,Jt,ye,Xt="6. Почему следующий код не работает?",st,le,nt,oe,lt,N,G,qe,ie,Tt,Ce,Wt="7. Что из перечисленного является основными преимуществами создания карточки датасета?",ot,he,it,P,I,Ue,pe,qt,be,Qt="8. Что такое семантический поиск?",ht,fe,pt,S,D,Re,ce,Ut,ke,Vt="9. Для асимметричного семантического поиска можно использовать:",ft,ue,ct,M,L,je,$e,Rt,Ee,Kt="10. Могу ли я использовать 🤗 Datasets для загрузки данных и решения задач в других областях, например для обработки речи?",ut,de,$t,Ge,dt;return Z=new x({}),F=new Na({props:{chapter:5,classNames:"absolute z-10 right-0 top-0"}}),Y=new x({}),X=new w({props:{choices:[{text:"Локальных, то есть с моего компьютера",explain:"Правильно! Вы можете передать пути к локальным файлам в аргумент <code>data_files</code> функции <code>load_dataset()</code> для загрузки локальных наборов данных.",correct:!0},{text:"Hugging Face Hub",explain:"Правильно! Вы можете загружать наборы данных в Hub, указав идентификатор набора данных, например. <code>load_dataset('emotion')</code>.",correct:!0},{text:"Удаленный сервер",explain:"Правильно! Вы можете передать URLs в аргумент <code>data_files</code> фунции  <code>load_dataset()</code>. ",correct:!0}]}}),W=new x({}),Q=new _a({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJnbHVlJTIyJTJDJTIwJTIybXJwYyUyMiUyQyUyMHNwbGl0JTNEJTIydHJhaW4lMjIp",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(<span class="hljs-string">&quot;glue&quot;</span>, <span class="hljs-string">&quot;mrpc&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)`,wrap:!1}}),K=new w({props:{choices:[{text:"<code>dataset.sample(50)</code>",explain:"Это неверно — нет метода <code>Dataset.sample()</code>."},{text:"<code>dataset.shuffle().select(range(50))</code>",explain:"Правильный! Как вы видели в этой главе, вы сначала перемешиваете набор данных, а затем выбираете из него подмножества.",correct:!0},{text:"<code>dataset.select(range(50)).shuffle()</code>",explain:"Это неверно — хотя код запустится, он перемешает только первые 50 элементов в наборе данных."}]}}),O=new x({}),ee=new w({props:{choices:[{text:"<code>pets_dataset.filter(lambda x : x['name'].startswith('L'))</code>",explain:"Правильно! Использование лямбда-функции Python для этих быстрых фильтров — отличная идея. Можете ли вы придумать другое решение?",correct:!0},{text:"<code>pets_dataset.filter(lambda x['name'].startswith('L'))</code>",explain:"Это неверно — лямбда-функция принимает общую форму <code>lambda *arguments* : *expression*</code>, поэтому в этом случае вам необходимо предоставить аргументы."},{text:"Create a function like <code>def filter_names(x): return x['name'].startswith('L')</code> and run <code>pets_dataset.filter(filter_names)</code>.",explain:"Правильно! Как и в случае с <code>Dataset.map()</code>, вы можете передавать явные функции в <code>Dataset.filter()</code>. Это полезно, когда у вас есть сложная логика, которая не подходит для короткой лямбда-функции. Какое из других решений будет работать?",correct:!0}]}}),te=new x({}),ae=new w({props:{choices:[{text:"Сопоставление между ЦП (CPU) и ОЗУ (RAM) графического процессора",explain:"Нет, попробуй еще раз!"},{text:"Отображение между RAM и файловой системой компьютера",explain:"Правильно! 🤗 Datasets рассматриваtт каждый набор данных как файл с отображением в памяти. Это позволяет библиотеке получать доступ к элементам набора данных и работать с ними без необходимости полной загрузки его в память.",correct:!0},{text:"Сопоставление между двумя файлами в кэшэ 🤗 Datasets",explain:"Нет, попробуй еще раз!"}]}}),re=new x({}),se=new w({props:{choices:[{text:"Доступ к файлам, отображенным в памяти, быстрее, чем чтение или запись на диск.",explain:"Правильно! Это позволяет 🤗 Datasets работать быстро. Однако это не единственное преимущество.",correct:!0},{text:"Приложения могут получать доступ к сегментам данных в очень большом файле без необходимости сначала считывать весь файл в ОЗУ.",explain:"Правильно! Это позволяет 🤗 Datasets загружать многогигабайтные наборы данных на ваш ноутбук, не нагружая ваш процессор. Какие еще преимущества предлагает сопоставление памяти?",correct:!0},{text:"Он потребляет меньше энергии, поэтому батарея работает дольше.",explain:"Это неправильно - попробуй еще раз!"}]}}),ne=new x({}),le=new _a({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJhbGxvY2luZSUyMiUyQyUyMHN0cmVhbWluZyUzRFRydWUlMkMlMjBzcGxpdCUzRCUyMnRyYWluJTIyKSUwQWRhdGFzZXQlNUIwJTVE",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(<span class="hljs-string">&quot;allocine&quot;</span>, streaming=<span class="hljs-literal">True</span>, split=<span class="hljs-string">&quot;train&quot;</span>)
dataset[<span class="hljs-number">0</span>]`,wrap:!1}}),oe=new w({props:{choices:[{text:"Он пытается передать набор данных, который слишком велик для размещения в ОЗУ.",explain:"Это неверно — потоковые наборы данных распаковываются на лету, и вы можете обрабатывать наборы данных размером в терабайт с очень небольшим объемом оперативной памяти!"},{text:"Он пытается получить доступ к <code>IterableDataset</code>.",explain:"Правильно! <code>IterableDataset</code> — это генератор, а не контейнер, поэтому вы должны получить доступ к его элементам, используя <code>next(iter(dataset))</code>.",correct:!0},{text:"Набор данных <code>allocine</code> не имеет разделения <code>train</code>.",explain:"Это неверно — проверьте [<code>allocine</code> карточку набора данных](https://huggingface.co/datasets/allocine) в Hub, чтобы увидеть, какие разбиения он содержит."}]}}),ie=new x({}),he=new w({props:{choices:[{text:"Она предоставляет информацию о предполагаемом использовании и поддерживаемых задачах набора данных, чтобы другие участники сообщества могли принять обоснованное решение об его использовании.",explain:"Правильно! Недокументированные наборы данных могут использоваться для обучения моделей, которые могут не отражать намерения создателей наборов данных, или могут создавать модели с неясным юридическим статусом, если они обучены на данных, нарушающих конфиденциальность или лицензионные ограничения. Но это не единственный плюс!",correct:!0},{text:"Это помогает привлечь внимание к искажениям, присутствующим в корпусе.",explain:"Правильно! Почти все наборы данных имеют некоторую форму предвзятости, которая может привести к негативным последствиям в дальнейшем. Знание о них помогает разработчикам моделей понять, как устранять подобные искажения. В чем еще помогают карточки наборов данных?»",correct:!0},{text:"Это повышает шансы на то, что другие участники сообщества будут использовать мой набор данных.",explain:"Правильно! Хорошо написанная карточка набора данных, как правило, приведет к более активному использованию вашего драгоценного датасета. Какие еще могут быть преимущества?",correct:!0}]}}),pe=new x({}),fe=new w({props:{choices:[{text:"Способ поиска точных совпадений между словами в запросе и документами в корпусе",explain:"Это неверно — этот тип поиска называется *лексическим поиском*, и это то, что вы обычно видите в традиционных поисковых системах"},{text:"Способ поиска совпадающих документов путем понимания контекстного значения запроса",explain:"Правильно! Семантический поиск использует вложенные векторы для представления запросов и документов и использует метрику подобия для измерения степени совпадения между ними. Как еще вы могли бы это описать?",correct:!0},{text:"Способ повысить точность поиска",explain:"Правильно! Семантические поисковые системы могут улавливать цель запроса намного лучше, чем сопоставление ключевых слов, и обычно извлекают документы с более высокой точностью. Но это не единственный правильный ответ - что еще дает семантический поиск?",correct:!0}]}}),ce=new x({}),ue=new w({props:{choices:[{text:"Короткий запрос и более длинный абзац, отвечающий на запрос. ",explain:"Правильно!",correct:!0},{text:"Запросы и абзацы примерно одинаковой длины. ",explain:"Это пример симметричного семантического поиска – попробуй еще раз!"},{text:"Длинный запрос и более короткий абзац, который отвечает на запрос.",explain:"Неправильно, попробуй еще раз!"}]}}),$e=new x({}),de=new w({props:{choices:[{text:"Нет",explain:"Это неверно — 🤗 Datasets в настоящее время поддерживают табличные данные, аудио и компьютерное зрение. Ознакомьтесь с <a href='https://huggingface.co/datasets/mnist'>набором данных MNIST</a> в Hub для примера компьютерного зрения."},{text:"Да",explain:"Правильно! Ознакомьтесь с захватывающими разработками в области речи и зрения в библиотеке 🤗 Transformers, чтобы узнать, как 🤗 Datasets используются в этих областях.",correct:!0}]}}),{c(){g=r("meta"),Ie=i(),Ae=r("p"),De=i(),_=r("h1"),H=r("a"),Ne=r("span"),f(Z.$$.fragment),At=i(),me=r("span"),me.textContent=Gt,Le=i(),f(F.$$.fragment),Ze=i(),z=r("p"),z.textContent=It,Fe=i(),B=r("p"),B.textContent=Dt,ze=i(),y=r("h3"),J=r("a"),Pe=r("span"),f(Y.$$.fragment),Nt=i(),ve=r("span"),ve.innerHTML=Lt,Be=i(),f(X.$$.fragment),Ye=i(),C=r("h3"),T=r("a"),Se=r("span"),f(W.$$.fragment),Pt=i(),xe=r("span"),xe.textContent=Zt,Xe=i(),f(Q.$$.fragment),We=i(),V=r("p"),V.innerHTML=Ft,Qe=i(),f(K.$$.fragment),Ve=i(),b=r("h3"),q=r("a"),Me=r("span"),f(O.$$.fragment),St=i(),we=r("span"),we.innerHTML=zt,Ke=i(),f(ee.$$.fragment),Oe=i(),k=r("h3"),U=r("a"),He=r("span"),f(te.$$.fragment),Mt=i(),ge=r("span"),ge.textContent=Bt,et=i(),f(ae.$$.fragment),tt=i(),E=r("h3"),R=r("a"),Je=r("span"),f(re.$$.fragment),Ht=i(),_e=r("span"),_e.textContent=Yt,at=i(),f(se.$$.fragment),rt=i(),A=r("h3"),j=r("a"),Te=r("span"),f(ne.$$.fragment),Jt=i(),ye=r("span"),ye.textContent=Xt,st=i(),f(le.$$.fragment),nt=i(),f(oe.$$.fragment),lt=i(),N=r("h3"),G=r("a"),qe=r("span"),f(ie.$$.fragment),Tt=i(),Ce=r("span"),Ce.textContent=Wt,ot=i(),f(he.$$.fragment),it=i(),P=r("h3"),I=r("a"),Ue=r("span"),f(pe.$$.fragment),qt=i(),be=r("span"),be.textContent=Qt,ht=i(),f(fe.$$.fragment),pt=i(),S=r("h3"),D=r("a"),Re=r("span"),f(ce.$$.fragment),Ut=i(),ke=r("span"),ke.textContent=Vt,ft=i(),f(ue.$$.fragment),ct=i(),M=r("h3"),L=r("a"),je=r("span"),f($e.$$.fragment),Rt=i(),Ee=r("span"),Ee.textContent=Kt,ut=i(),f(de.$$.fragment),$t=i(),Ge=r("p"),this.h()},l(e){const a=Aa("svelte-1phssyn",document.head);g=s(a,"META",{name:!0,content:!0}),a.forEach(t),Ie=h(e),Ae=s(e,"P",{}),p(Ae).forEach(t),De=h(e),_=s(e,"H1",{class:!0});var mt=p(_);H=s(mt,"A",{id:!0,class:!0,href:!0});var Ot=p(H);Ne=s(Ot,"SPAN",{});var ea=p(Ne);c(Z.$$.fragment,ea),ea.forEach(t),Ot.forEach(t),At=h(mt),me=s(mt,"SPAN",{"data-svelte-h":!0}),v(me)!=="svelte-xoyw10"&&(me.textContent=Gt),mt.forEach(t),Le=h(e),c(F.$$.fragment,e),Ze=h(e),z=s(e,"P",{"data-svelte-h":!0}),v(z)!=="svelte-lsc2qv"&&(z.textContent=It),Fe=h(e),B=s(e,"P",{"data-svelte-h":!0}),v(B)!=="svelte-onqm80"&&(B.textContent=Dt),ze=h(e),y=s(e,"H3",{class:!0});var vt=p(y);J=s(vt,"A",{id:!0,class:!0,href:!0});var ta=p(J);Pe=s(ta,"SPAN",{});var aa=p(Pe);c(Y.$$.fragment,aa),aa.forEach(t),ta.forEach(t),Nt=h(vt),ve=s(vt,"SPAN",{"data-svelte-h":!0}),v(ve)!=="svelte-1adkrv2"&&(ve.innerHTML=Lt),vt.forEach(t),Be=h(e),c(X.$$.fragment,e),Ye=h(e),C=s(e,"H3",{class:!0});var xt=p(C);T=s(xt,"A",{id:!0,class:!0,href:!0});var ra=p(T);Se=s(ra,"SPAN",{});var sa=p(Se);c(W.$$.fragment,sa),sa.forEach(t),ra.forEach(t),Pt=h(xt),xe=s(xt,"SPAN",{"data-svelte-h":!0}),v(xe)!=="svelte-1iddo1y"&&(xe.textContent=Zt),xt.forEach(t),Xe=h(e),c(Q.$$.fragment,e),We=h(e),V=s(e,"P",{"data-svelte-h":!0}),v(V)!=="svelte-1jn4atw"&&(V.innerHTML=Ft),Qe=h(e),c(K.$$.fragment,e),Ve=h(e),b=s(e,"H3",{class:!0});var wt=p(b);q=s(wt,"A",{id:!0,class:!0,href:!0});var na=p(q);Me=s(na,"SPAN",{});var la=p(Me);c(O.$$.fragment,la),la.forEach(t),na.forEach(t),St=h(wt),we=s(wt,"SPAN",{"data-svelte-h":!0}),v(we)!=="svelte-cxw4ms"&&(we.innerHTML=zt),wt.forEach(t),Ke=h(e),c(ee.$$.fragment,e),Oe=h(e),k=s(e,"H3",{class:!0});var gt=p(k);U=s(gt,"A",{id:!0,class:!0,href:!0});var oa=p(U);He=s(oa,"SPAN",{});var ia=p(He);c(te.$$.fragment,ia),ia.forEach(t),oa.forEach(t),Mt=h(gt),ge=s(gt,"SPAN",{"data-svelte-h":!0}),v(ge)!=="svelte-qt2mcu"&&(ge.textContent=Bt),gt.forEach(t),et=h(e),c(ae.$$.fragment,e),tt=h(e),E=s(e,"H3",{class:!0});var _t=p(E);R=s(_t,"A",{id:!0,class:!0,href:!0});var ha=p(R);Je=s(ha,"SPAN",{});var pa=p(Je);c(re.$$.fragment,pa),pa.forEach(t),ha.forEach(t),Ht=h(_t),_e=s(_t,"SPAN",{"data-svelte-h":!0}),v(_e)!=="svelte-1yp6twd"&&(_e.textContent=Yt),_t.forEach(t),at=h(e),c(se.$$.fragment,e),rt=h(e),A=s(e,"H3",{class:!0});var yt=p(A);j=s(yt,"A",{id:!0,class:!0,href:!0});var fa=p(j);Te=s(fa,"SPAN",{});var ca=p(Te);c(ne.$$.fragment,ca),ca.forEach(t),fa.forEach(t),Jt=h(yt),ye=s(yt,"SPAN",{"data-svelte-h":!0}),v(ye)!=="svelte-hfaaoa"&&(ye.textContent=Xt),yt.forEach(t),st=h(e),c(le.$$.fragment,e),nt=h(e),c(oe.$$.fragment,e),lt=h(e),N=s(e,"H3",{class:!0});var Ct=p(N);G=s(Ct,"A",{id:!0,class:!0,href:!0});var ua=p(G);qe=s(ua,"SPAN",{});var $a=p(qe);c(ie.$$.fragment,$a),$a.forEach(t),ua.forEach(t),Tt=h(Ct),Ce=s(Ct,"SPAN",{"data-svelte-h":!0}),v(Ce)!=="svelte-1x7jr84"&&(Ce.textContent=Wt),Ct.forEach(t),ot=h(e),c(he.$$.fragment,e),it=h(e),P=s(e,"H3",{class:!0});var bt=p(P);I=s(bt,"A",{id:!0,class:!0,href:!0});var da=p(I);Ue=s(da,"SPAN",{});var ma=p(Ue);c(pe.$$.fragment,ma),ma.forEach(t),da.forEach(t),qt=h(bt),be=s(bt,"SPAN",{"data-svelte-h":!0}),v(be)!=="svelte-1b18s4l"&&(be.textContent=Qt),bt.forEach(t),ht=h(e),c(fe.$$.fragment,e),pt=h(e),S=s(e,"H3",{class:!0});var kt=p(S);D=s(kt,"A",{id:!0,class:!0,href:!0});var va=p(D);Re=s(va,"SPAN",{});var xa=p(Re);c(ce.$$.fragment,xa),xa.forEach(t),va.forEach(t),Ut=h(kt),ke=s(kt,"SPAN",{"data-svelte-h":!0}),v(ke)!=="svelte-1n8y911"&&(ke.textContent=Vt),kt.forEach(t),ft=h(e),c(ue.$$.fragment,e),ct=h(e),M=s(e,"H3",{class:!0});var Et=p(M);L=s(Et,"A",{id:!0,class:!0,href:!0});var wa=p(L);je=s(wa,"SPAN",{});var ga=p(je);c($e.$$.fragment,ga),ga.forEach(t),wa.forEach(t),Rt=h(Et),Ee=s(Et,"SPAN",{"data-svelte-h":!0}),v(Ee)!=="svelte-8me11m"&&(Ee.textContent=Kt),Et.forEach(t),ut=h(e),c(de.$$.fragment,e),$t=h(e),Ge=s(e,"P",{}),p(Ge).forEach(t),this.h()},h(){n(g,"name","hf:doc:metadata"),n(g,"content",JSON.stringify(Sa)),n(H,"id","5"),n(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(H,"href","#5"),n(_,"class","relative group"),n(J,"id","из-каких-источников-функция-<code>load_dataset()</code>-в-🤗-datasets-позволяет-загружать-наборы-данных?"),n(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(J,"href","#из-каких-источников-функция-<code>load_dataset()</code>-в-🤗-datasets-позволяет-загружать-наборы-данных?"),n(y,"class","relative group"),n(T,"id","2.-предположим,-вы-загружаете-одну-из-задач-glue-следующим-образом:"),n(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(T,"href","#2.-предположим,-вы-загружаете-одну-из-задач-glue-следующим-образом:"),n(C,"class","relative group"),n(q,"id","3.-предположим,-у-вас-есть-набор-данных-о-домашних-питомцах-под-названием-<code>pets_dataset</code>,-в-котором-есть-столбец-<code>name</code>,-обозначающий-имя-каждого-питомца.-какой-из-следующих-подходов-позволит-вам-отфильтровать-набор-данных-для-всех-домашних-животных,-имена-которых-начинаются-с-буквы-«l»?"),n(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(q,"href","#3.-предположим,-у-вас-есть-набор-данных-о-домашних-питомцах-под-названием-<code>pets_dataset</code>,-в-котором-есть-столбец-<code>name</code>,-обозначающий-имя-каждого-питомца.-какой-из-следующих-подходов-позволит-вам-отфильтровать-набор-данных-для-всех-домашних-животных,-имена-которых-начинаются-с-буквы-«l»?"),n(b,"class","relative group"),n(U,"id","4.-что-такое-отображение-в-память?"),n(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(U,"href","#4.-что-такое-отображение-в-память?"),n(k,"class","relative group"),n(R,"id","5.-что-из-перечисленного-ниже-является-основным-преимуществом-отображения-памяти?"),n(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(R,"href","#5.-что-из-перечисленного-ниже-является-основным-преимуществом-отображения-памяти?"),n(E,"class","relative group"),n(j,"id","6.-почему-следующий-код-не-работает?"),n(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(j,"href","#6.-почему-следующий-код-не-работает?"),n(A,"class","relative group"),n(G,"id","7.-что-из-перечисленного-является-основными-преимуществами-создания-карточки-датасета?"),n(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(G,"href","#7.-что-из-перечисленного-является-основными-преимуществами-создания-карточки-датасета?"),n(N,"class","relative group"),n(I,"id","8.-что-такое-семантический-поиск?"),n(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(I,"href","#8.-что-такое-семантический-поиск?"),n(P,"class","relative group"),n(D,"id","9.-для-асимметричного-семантического-поиска-можно-использовать:"),n(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(D,"href","#9.-для-асимметричного-семантического-поиска-можно-использовать:"),n(S,"class","relative group"),n(L,"id","10.-могу-ли-я-использовать-🤗-datasets-для-загрузки-данных-и-решения-задач-в-других-областях,-например-для-обработки-речи?"),n(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(L,"href","#10.-могу-ли-я-использовать-🤗-datasets-для-загрузки-данных-и-решения-задач-в-других-областях,-например-для-обработки-речи?"),n(M,"class","relative group")},m(e,a){l(document.head,g),o(e,Ie,a),o(e,Ae,a),o(e,De,a),o(e,_,a),l(_,H),l(H,Ne),u(Z,Ne,null),l(_,At),l(_,me),o(e,Le,a),u(F,e,a),o(e,Ze,a),o(e,z,a),o(e,Fe,a),o(e,B,a),o(e,ze,a),o(e,y,a),l(y,J),l(J,Pe),u(Y,Pe,null),l(y,Nt),l(y,ve),o(e,Be,a),u(X,e,a),o(e,Ye,a),o(e,C,a),l(C,T),l(T,Se),u(W,Se,null),l(C,Pt),l(C,xe),o(e,Xe,a),u(Q,e,a),o(e,We,a),o(e,V,a),o(e,Qe,a),u(K,e,a),o(e,Ve,a),o(e,b,a),l(b,q),l(q,Me),u(O,Me,null),l(b,St),l(b,we),o(e,Ke,a),u(ee,e,a),o(e,Oe,a),o(e,k,a),l(k,U),l(U,He),u(te,He,null),l(k,Mt),l(k,ge),o(e,et,a),u(ae,e,a),o(e,tt,a),o(e,E,a),l(E,R),l(R,Je),u(re,Je,null),l(E,Ht),l(E,_e),o(e,at,a),u(se,e,a),o(e,rt,a),o(e,A,a),l(A,j),l(j,Te),u(ne,Te,null),l(A,Jt),l(A,ye),o(e,st,a),u(le,e,a),o(e,nt,a),u(oe,e,a),o(e,lt,a),o(e,N,a),l(N,G),l(G,qe),u(ie,qe,null),l(N,Tt),l(N,Ce),o(e,ot,a),u(he,e,a),o(e,it,a),o(e,P,a),l(P,I),l(I,Ue),u(pe,Ue,null),l(P,qt),l(P,be),o(e,ht,a),u(fe,e,a),o(e,pt,a),o(e,S,a),l(S,D),l(D,Re),u(ce,Re,null),l(S,Ut),l(S,ke),o(e,ft,a),u(ue,e,a),o(e,ct,a),o(e,M,a),l(M,L),l(L,je),u($e,je,null),l(M,Rt),l(M,Ee),o(e,ut,a),u(de,e,a),o(e,$t,a),o(e,Ge,a),dt=!0},p:Ca,i(e){dt||($(Z.$$.fragment,e),$(F.$$.fragment,e),$(Y.$$.fragment,e),$(X.$$.fragment,e),$(W.$$.fragment,e),$(Q.$$.fragment,e),$(K.$$.fragment,e),$(O.$$.fragment,e),$(ee.$$.fragment,e),$(te.$$.fragment,e),$(ae.$$.fragment,e),$(re.$$.fragment,e),$(se.$$.fragment,e),$(ne.$$.fragment,e),$(le.$$.fragment,e),$(oe.$$.fragment,e),$(ie.$$.fragment,e),$(he.$$.fragment,e),$(pe.$$.fragment,e),$(fe.$$.fragment,e),$(ce.$$.fragment,e),$(ue.$$.fragment,e),$($e.$$.fragment,e),$(de.$$.fragment,e),dt=!0)},o(e){d(Z.$$.fragment,e),d(F.$$.fragment,e),d(Y.$$.fragment,e),d(X.$$.fragment,e),d(W.$$.fragment,e),d(Q.$$.fragment,e),d(K.$$.fragment,e),d(O.$$.fragment,e),d(ee.$$.fragment,e),d(te.$$.fragment,e),d(ae.$$.fragment,e),d(re.$$.fragment,e),d(se.$$.fragment,e),d(ne.$$.fragment,e),d(le.$$.fragment,e),d(oe.$$.fragment,e),d(ie.$$.fragment,e),d(he.$$.fragment,e),d(pe.$$.fragment,e),d(fe.$$.fragment,e),d(ce.$$.fragment,e),d(ue.$$.fragment,e),d($e.$$.fragment,e),d(de.$$.fragment,e),dt=!1},d(e){e&&(t(Ie),t(Ae),t(De),t(_),t(Le),t(Ze),t(z),t(Fe),t(B),t(ze),t(y),t(Be),t(Ye),t(C),t(Xe),t(We),t(V),t(Qe),t(Ve),t(b),t(Ke),t(Oe),t(k),t(et),t(tt),t(E),t(at),t(rt),t(A),t(st),t(nt),t(lt),t(N),t(ot),t(it),t(P),t(ht),t(pt),t(S),t(ft),t(ct),t(M),t(ut),t($t),t(Ge)),t(g),m(Z),m(F,e),m(Y),m(X,e),m(W),m(Q,e),m(K,e),m(O),m(ee,e),m(te),m(ae,e),m(re),m(se,e),m(ne),m(le,e),m(oe,e),m(ie),m(he,e),m(pe),m(fe,e),m(ce),m(ue,e),m($e),m(de,e)}}}const Sa={local:"5",title:"Тест по главе 5"};function Ma(jt){return ba(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ja extends ka{constructor(g){super(),Ea(this,g,Ma,Pa,ya,{})}}export{ja as component};
