import{s as tn,n as en,o as ln}from"../chunks/scheduler.37c15a92.js";import{S as nn,i as sn,g as a,s as i,u as De,A as an,h as o,f as l,c as s,j as Kl,y as u,v as Ie,k as r,o as on,a as n,w as Ve,d as Ge,t as Ne,x as Ue}from"../chunks/index.f3f47ebe.js";import{Y as Ye}from"../chunks/Youtube.0dc25837.js";import{C as un}from"../chunks/CourseFloatingBanner.387a2868.js";function rn(Se){let m,Lt,kt,bt,f,Fe="Как работают трансформеры?",Mt,y,Pt,j,Oe="В этом разделе мы посмотрим в общих чертах на то, как работают трансформеры.",wt,p,Je="Немного истории",$t,q,Qe="Здесь приведены несколько ссылок на (короткую) историю трансформеров:",yt,v,We='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_chrono.svg" alt="A brief chronology of Transformers models."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_chrono-dark.svg" alt="A brief chronology of Transformers models."/>',jt,E,Xe='<a href="https://arxiv.org/abs/1706.03762" rel="nofollow">Архитектура трансформеров</a> была опубликована в июне 2017. Основной фокус оригинального исследования был сосредоточен на задачах перевода. Эта публикация повлекла за собой несколько влиятельных моделей:',qt,B,Ze='<li><p><strong>Июнь 2018</strong>: <a href="https://cdn.openai.com/research-covers/language-unsupervised/language_understanding_paper.pdf" rel="nofollow">GPT</a>, первая предобученная модель для тонкой настройки или дообучения (fine-tuning), которая показала результаты высокого качества для многих NLP-задач.</p></li> <li><p><strong>Октябрь 2018</strong>: <a href="https://arxiv.org/abs/1810.04805" rel="nofollow">BERT</a>, другая большая предобученная модель, была разработана для извлечения более точного содержания из предложений (больше мы узнаем об этом в следующей главе!)</p></li> <li><p><strong>Февраль 2019</strong>: <a href="https://cdn.openai.com/better-language-models/language_models_are_unsupervised_multitask_learners.pdf" rel="nofollow">GPT-2</a>, улучшенная (и более объемная) версия GPT, которая не была сразу опубликована по этическим соображениям</p></li> <li><p><strong>Октябрь 2019</strong>: <a href="https://arxiv.org/abs/1910.01108" rel="nofollow">DistilBERT</a>, «дистиллированная» версия BERT, которая на 60% быстрее и на 40% менее объемная, однако сохраняющая 97% производительности BERT</p></li> <li><p><strong>Октябрь 2019</strong>: <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">BART</a> and <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">T5</a>, две больших модели, повторяющие архитектуру классического трансформера</p></li> <li><p><strong>Май 2020</strong>, <a href="https://arxiv.org/abs/2005.14165" rel="nofollow">GPT-3</a>, еще более крупная версия GPT-2, способная хорошо справляться с различными задачами без необходимости fine-tuning (так называемое <em>zero-shot learning</em>)</p></li>',Et,z,Ke=`Этот список далеко не полный, он всего лишь призван выделить несколько разновидностей моделей трансформеров.
В широком смысле трансформеры могут быть классифицированы на три типа:`,Bt,R,tl="<li>GPT-подобные модели (также часто называемые <em>авторегрессионные</em> трансформеры)</li> <li>BERT-подобные модели (также часто называемые <em>автокодирующие</em> трансформеры (<em>auto-encoding</em>))</li> <li>тип BART/T5 модели (также часто называются модели класса <em>последовательность-последовательность</em> (<em>sequence-to-sequence, seq2seq</em>))</li>",zt,A,el="Мы рассмотрим эти семейства более детально позже.",Rt,c,ll="Трансформеры - языковые модели",At,D,nl="Все модели трансформеров, упомянутые выше (GPT, BERT, BART, T5, etc.) обучены как <em>языковые модели (англ. language models)</em>. Это означает, что они обучены на огромном количестве текста, используя технику самостоятельного обучения (англ. self-supervised learning). Самостоятельное обучение - это такой способ обучения, в котором цель обучения автоматически вычисляется на основе входных данных. Это означает, что люди не должны размечать данные!",Dt,I,il="Такой тип моделей реализует статистическое понимание языка, на котором он был обучен, но он не очень полезен для конкретных практических задач. Из-за этого базовая предварительно обученная модель потом подвергается процедуре, называемой <em>трансферным обучением (англ. transfer learning)</em>. В ходе этого процесса модель настраивается под конкретные наблюдения, т.е. размеченными человеком данными для конкретной задачи.",It,V,sl="В качестве примера можно привести предсказание следующего слова в предложении на основе <em>n</em> предыдущих слов. Это называется <em>каузальным языковым моделированием (англ. causal language modeling)</em>, потому что модель зависит от прошлых и текущих слов, но не от будущих.",Vt,g,al='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/causal_modeling.svg" alt="Example of causal language modeling in which the next word from a sentence is predicted."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/causal_modeling-dark.svg" alt="Example of causal language modeling in which the next word from a sentence is predicted."/>',Gt,G,ol="Другой пример - <em>маскированная языковая модель (англ. masked language modeling)</em>, которая предсказывает замаскированное слово в предложении.",Nt,d,ul='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/masked_modeling.svg" alt="Example of masked language modeling in which a masked word from a sentence is predicted."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/masked_modeling-dark.svg" alt="Example of masked language modeling in which a masked word from a sentence is predicted."/>',Ut,x,rl="Трансформеры - большие модели",Yt,N,ml="За исключением нескольких моделей (например, DistilBERT), общий подход к достижению высокого качества заключается в увеличении размера моделей и увеличении количества данных для обучения.",St,C,fl='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/model_parameters.png" alt="Number of parameters of recent Transformers models" width="90%"/>',Ft,U,pl="К сожалению, обучение модели, особенно большой, требует большого количества данных. Это приводит к увеличению времени и вычислительных потребностей. Это воздействует даже на окружающую среду, что можно увидеть графике ниже.",Ot,h,vl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/carbon_footprint.svg" alt="The carbon footprint of a large language model."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/carbon_footprint-dark.svg" alt="The carbon footprint of a large language model."/>',Jt,Y,Qt,S,cl="И это наглядная демонстрация проекта по разработке (очень большой) модели, которым руководит команда, <em>сознательно</em> пытающаяся уменьшить воздействие предобучения на окружающую среду. Углеродный след от проведения множества экспериментов для получения лучших гиперпараметров будет еще выше.",Wt,F,gl="Представьте себе, что каждый раз, когда исследовательская группа, студенческая организация или компания хотели бы обучить модель, они делали бы это с нуля. Это привело бы к огромным, ненужным глобальным затратам!",Xt,O,dl="Вот почему распространение языковых моделей имеет первостепенное значение: распространение обученных весов и построение новых моделей на их основе снижает общую стоимость вычислений и углеродный след сообщества.",Zt,J,xl='Кстати, вы можете измерить углеродный след, который оставят ваши модели, при помощи нескольких инструментов. Например, интегрированные в 🤗 Transformers <a href="https://mlco2.github.io/impact/" rel="nofollow">ML CO2 Impact</a> или <a href="https://codecarbon.io/" rel="nofollow">Code Carbon</a>. Чтобы узнать больше о этом, вы можете прочитать этот <a href="https://huggingface.co/blog/carbon-emissions-on-the-hub" rel="nofollow">блог-пост</a>, в котором мы рассказываем как сгенерировать файл <code>emissions.csv</code>, содержащий прогноз объемов выброса углерода во время обучения модели, а также <a href="https://huggingface.co/docs/hub/model-cards-co2" rel="nofollow">документацию</a> 🤗 Transformers, в которой затрагивается эта тема.',Kt,T,Cl="Трансферное обучение",te,Q,ee,W,hl="<em>Предобучение (англ. pretraining)</em> - это процесс обучения модели с нуля: веса модели случайным образом инициализируются, после начинается обучение без предварительных настроек.",le,_,Tl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/pretraining.svg" alt="The pretraining of a language model is costly in both time and money."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/pretraining-dark.svg" alt="The pretraining of a language model is costly in both time and money."/>',ne,X,_l="Предобучение обычно происходит на огромных наборах данных, сам процесс может занять несколько недель.",ie,Z,kl="<em>Дообучение (англ. fine-tuning)</em>, с другой стороны, это обучение <em>после</em> того, как модель была предобучена. Для дообучения вы сначала должны выбрать предобученную языковую модель, а после продолжить ее обучение ее на данных собственной задачи. Стойте — почему не обучить модель сразу же на данных конкретной задачи? Этому есть несколько причин:",se,K,Hl="<li><p>Предобученная модель уже обучена на датасете, который имеет много сходств с датасетом для дообучения. Процесс дообучения может использовать знания, которые были получены моделью в процессе предобучения (например, в задачах NLP предварительно обученная модель будет иметь представление о статистических закономерностях языка, который вы используете в своей задаче).</p></li> <li><p>Так как предобученная модель уже “видела” много данных, процесс дообучения требует меньшего количества данных для получения приемлемых результатов.</p></li> <li><p>По этой же причине требуется и намного меньше времени для получения хороших результатов.</p></li>",ae,tt,Ll="Например, можно использовать предварительно обученную на английском языке модель, а затем дообучить ее на корпусе arXiv, в результате чего получится научно-исследовательская модель. Для дообучения потребуется лишь ограниченный объем данных: знания, которые приобрела предварительно обученная модель, «передаются» (осуществляют трансфер), отсюда и термин «трансферное обучение».",oe,k,bl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/finetuning.svg" alt="The fine-tuning of a language model is cheaper than pretraining in both time and money."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/finetuning-dark.svg" alt="The fine-tuning of a language model is cheaper than pretraining in both time and money."/>',ue,et,Ml="Таким образом, дообучение модели требует меньше времени, данных, финансовых и экологических затрат. Также быстрее и проще перебирать различные схемы дообучения, поскольку оно требует меньше усилий, чем полное предварительное обучение.",re,lt,Pl="Этот процесс также даст лучшие результаты, чем обучение с нуля (если только у вас нет большого количества данных), поэтому вы всегда должны пытаться использовать предобученную модель — модель, максимально приближенную к поставленной задаче, а потом дообучить ее.",me,H,wl="Общая архитектура",fe,nt,$l="В этом разделе мы рассмотрим общую архитектуру модели трансформера. Не беспокойтесь, если вы не понимаете некоторых понятий; далее есть подробные разделы, посвященные каждому из компонентов.",pe,it,ve,L,yl="Введение",ce,st,jl="Модель состоит из двух блоков:",ge,at,ql="<li><strong>Кодировщик (слева)</strong> (англ. encoder): кодировщик получает входные данные и строит их репрезентацию (формирует признаки). Это означает, модель нацелена на “понимание” входных данных.</li> <li><strong>Декодировщик (справа)</strong> (англ. decoder): декодировщик использует репрезентации (признаки) кодировщика с другими входными данными для создания нужной последовательности. Это означает, что модель нацелена на генерацию выходных данных.</li>",de,b,El='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_blocks.svg" alt="Architecture of a Transformers models"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_blocks-dark.svg" alt="Architecture of a Transformers models"/>',xe,ot,Bl="Каждая из этих частей может быть использована отдельно, это зависит от задачи:",Ce,ut,zl="<li><strong>Модели-кодировщики</strong>: полезны для задач, требующих понимания входных данных, таких как классификация предложений и распознавание именованных сущностей.</li> <li><strong>Модели-декодировщики</strong>: полезны для генеративных задач, таких как генерация текста.</li> <li><strong>Модели типа “кодировщик-декодировщик”</strong> или <strong>seq2seq-модели</strong>: полезны в генеративных задачах, требующих входных данных. Например: перевод или автоматическое реферирование текста.</li>",he,rt,Rl="Мы изучим эти архитектуры подробнее в следующих разделах.",Te,M,Al="Слой внимания",_e,mt,Dl='Ключевой особенностью трансформеров является наличие в архитектуре специального слоя, называемого <em>слоем внимания (англ. attention layer)</em>. Статья, в которой была впервые представлена архитектура трансформера, называется <a href="https://arxiv.org/abs/1706.03762" rel="nofollow">“Attention Is All You Need”</a> (“Внимание - все, что вам нужно”)! Мы изучим детали этого слоя позже. На текущий момент мы сформулируем механизм его работы так: слой внимания помогает модели “обращать внимание” на одни слова в поданном на вход предложении, а другие слова в той или иной степени игнорировать. И это происходит в процессе анализа каждого слова.',ke,ft,Il="Чтобы поместить это в контекст, рассмотрим задачу перевода текста с английского на французский язык. Для предложения “You like this course”, модель должна будет также учитывать соседнее слово “You”, чтобы получить правильный перевод слова “like”, потому что во французском языке глагол “like” спрягается по-разному в зависимости от подлежащего. Однако остальная часть предложения бесполезна для перевода этого слова. В том же духе при переводе “like” также необходимо будет обратить внимание на слово “course”, потому что “this” переводится по-разному в зависимости от того, стоит ли ассоциированное существительное в мужском или женском роде. Опять же, другие слова в предложении не будут иметь значения для перевода “this”. С более сложными предложениями (и более сложными грамматическими правилами) модели потребуется уделять особое внимание словам, которые могут оказаться дальше в предложении, чтобы правильно перевести каждое слово.",He,pt,Vl="Такая же концепция применима к любой задаче, связанной с обработкой естественного языка: слово само по себе имеет некоторое значение, однако значение очень часто зависит от контекста, которым может являться слово (или слова), стоящие вокруг искомого слова.",Le,vt,Gl="Теперь, когда вы знакомы с идеей внимания в целом, посмотрим поближе на архитектуру всего трансформера.",be,P,Nl="Первоначальная архитектура",Me,ct,Ul="Архитектура трансформера изначально была разработана для перевода. Во время обучения кодировщик получает входные данные (предложения) на определенном языке, а декодировщик получает те же предложения на желаемом целевом языке. В кодировщике слои внимания могут использовать все слова в предложении (поскольку, как мы только что видели, перевод данного слова может зависеть от того, что в предложении находится после и перед ним). Декодировщик, в свою очередь, работает последовательно и может обращать внимание только на слова в предложении, которые он уже перевел (то есть только на слова перед генерируемым в данный момент словом). Например, когда мы предсказали первые три слова переведенной цели, мы передаем их декодировщику, который затем использует все входные данные кодировщика, чтобы попытаться предсказать четвертое слово.",Pe,gt,Yl="Чтобы ускорить процесс во время обучения (когда модель имеет доступ к целевым предложениям), декодировщик получает целевое предложение полностью, но ему не разрешается использовать будущие слова (если он имел доступ к слову в позиции 2 при попытке предсказать слово на позиции 2, задача не будет сложной!). Например, при попытке предсказать четвертое слово слой внимания будет иметь доступ только к словам в позициях с 1 по 3.",we,dt,Sl="Первоначальная архитектура Transformer выглядела так: кодировщик слева и декодировщик справа:",$e,w,Fl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers.svg" alt="Architecture of a Transformers models"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers-dark.svg" alt="Architecture of a Transformers models"/>',ye,xt,Ol="Обратите внимание, что первый слой внимания в блоке декодировщика обращает внимание на все (прошлые) входные данные декодировщика, а второй слой внимания использует выходные данные кодировщика. Таким образом, он может получить доступ ко всему входному предложению, чтобы наилучшим образом предсказать текущее слово. Это очень полезно, так как разные языки могут иметь грамматические правила, которые располагают слова в разном порядке, или некоторый контекст, предоставленный в предложении далеко от текущего слова. Контекст может быть полезен для определения наилучшего перевода данного слова.",je,Ct,Jl="<em>Маска внимания (англ. attention mask)</em> также может использоваться в кодировщике/декодировщике, чтобы модель не обращала внимания на некоторые специальные слова — например, специальное несуществующее слово-заполнитель (англ. padding), используемое для придания всем входным данным одинаковой длины при группировке предложений.",qe,$,Ql="Архитектуры и чекпоинты",Ee,ht,Wl="По мере погружения в трансформеры, вы будете встречать термины <em>архитектуры</em> и <em>чекпоинты</em> (англ. checkpoints) в смысле <em>модели</em>. Эти термины имеют разный смысл:",Be,Tt,Xl=`<strong>Архитектура</strong> - скелет модели — слои, связи и операции, которые выполняются в модели.
<strong>Чекпоинт</strong> - веса модели, которые могут быть загружены для конкретной архитектуры.
<strong>Модель</strong> - зонтичный термин, который может означать и архитектуру, и веса для конкретной архитектуры. В этом курсе мы будем точнее использовать термины <em>архитектуры</em> и <em>чекпоинт</em>, если это будет важно для лучшего понимания.`,ze,_t,Zl="Например, BERT - это архитектура, а <code>bert-base-cased</code> - набор весов, подготовленный Google к первому выпуску BERT’а, - это чекпоинт. Однако можно сказать и “модель BERT”, и “модель bert-base-cased”.",Re,Ht,Ae;return y=new un({props:{chapter:1,classNames:"absolute z-10 right-0 top-0"}}),Y=new Ye({props:{id:"ftWlj4FBHTg"}}),Q=new Ye({props:{id:"BqqfQnyjmgg"}}),it=new Ye({props:{id:"H39Z_720T5s"}}),{c(){m=a("meta"),Lt=i(),kt=a("p"),bt=i(),f=a("h1"),f.textContent=Fe,Mt=i(),De(y.$$.fragment),Pt=i(),j=a("p"),j.textContent=Oe,wt=i(),p=a("h2"),p.textContent=Je,$t=i(),q=a("p"),q.textContent=Qe,yt=i(),v=a("div"),v.innerHTML=We,jt=i(),E=a("p"),E.innerHTML=Xe,qt=i(),B=a("ul"),B.innerHTML=Ze,Et=i(),z=a("p"),z.textContent=Ke,Bt=i(),R=a("ul"),R.innerHTML=tl,zt=i(),A=a("p"),A.textContent=el,Rt=i(),c=a("h2"),c.textContent=ll,At=i(),D=a("p"),D.innerHTML=nl,Dt=i(),I=a("p"),I.innerHTML=il,It=i(),V=a("p"),V.innerHTML=sl,Vt=i(),g=a("div"),g.innerHTML=al,Gt=i(),G=a("p"),G.innerHTML=ol,Nt=i(),d=a("div"),d.innerHTML=ul,Ut=i(),x=a("h2"),x.textContent=rl,Yt=i(),N=a("p"),N.textContent=ml,St=i(),C=a("div"),C.innerHTML=fl,Ft=i(),U=a("p"),U.textContent=pl,Ot=i(),h=a("div"),h.innerHTML=vl,Jt=i(),De(Y.$$.fragment),Qt=i(),S=a("p"),S.innerHTML=cl,Wt=i(),F=a("p"),F.textContent=gl,Xt=i(),O=a("p"),O.textContent=dl,Zt=i(),J=a("p"),J.innerHTML=xl,Kt=i(),T=a("h2"),T.textContent=Cl,te=i(),De(Q.$$.fragment),ee=i(),W=a("p"),W.innerHTML=hl,le=i(),_=a("div"),_.innerHTML=Tl,ne=i(),X=a("p"),X.textContent=_l,ie=i(),Z=a("p"),Z.innerHTML=kl,se=i(),K=a("ul"),K.innerHTML=Hl,ae=i(),tt=a("p"),tt.textContent=Ll,oe=i(),k=a("div"),k.innerHTML=bl,ue=i(),et=a("p"),et.textContent=Ml,re=i(),lt=a("p"),lt.textContent=Pl,me=i(),H=a("h2"),H.textContent=wl,fe=i(),nt=a("p"),nt.textContent=$l,pe=i(),De(it.$$.fragment),ve=i(),L=a("h2"),L.textContent=yl,ce=i(),st=a("p"),st.textContent=jl,ge=i(),at=a("ul"),at.innerHTML=ql,de=i(),b=a("div"),b.innerHTML=El,xe=i(),ot=a("p"),ot.textContent=Bl,Ce=i(),ut=a("ul"),ut.innerHTML=zl,he=i(),rt=a("p"),rt.textContent=Rl,Te=i(),M=a("h2"),M.textContent=Al,_e=i(),mt=a("p"),mt.innerHTML=Dl,ke=i(),ft=a("p"),ft.textContent=Il,He=i(),pt=a("p"),pt.textContent=Vl,Le=i(),vt=a("p"),vt.textContent=Gl,be=i(),P=a("h2"),P.textContent=Nl,Me=i(),ct=a("p"),ct.textContent=Ul,Pe=i(),gt=a("p"),gt.textContent=Yl,we=i(),dt=a("p"),dt.textContent=Sl,$e=i(),w=a("div"),w.innerHTML=Fl,ye=i(),xt=a("p"),xt.textContent=Ol,je=i(),Ct=a("p"),Ct.innerHTML=Jl,qe=i(),$=a("h2"),$.textContent=Ql,Ee=i(),ht=a("p"),ht.innerHTML=Wl,Be=i(),Tt=a("p"),Tt.innerHTML=Xl,ze=i(),_t=a("p"),_t.innerHTML=Zl,Re=i(),Ht=a("p"),this.h()},l(t){const e=an("svelte-1phssyn",document.head);m=o(e,"META",{name:!0,content:!0}),e.forEach(l),Lt=s(t),kt=o(t,"P",{}),Kl(kt).forEach(l),bt=s(t),f=o(t,"H1",{id:!0,"data-svelte-h":!0}),u(f)!=="svelte-mukv50"&&(f.textContent=Fe),Mt=s(t),Ie(y.$$.fragment,t),Pt=s(t),j=o(t,"P",{"data-svelte-h":!0}),u(j)!=="svelte-katyzo"&&(j.textContent=Oe),wt=s(t),p=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(p)!=="svelte-1afshzl"&&(p.textContent=Je),$t=s(t),q=o(t,"P",{"data-svelte-h":!0}),u(q)!=="svelte-eola0z"&&(q.textContent=Qe),yt=s(t),v=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(v)!=="svelte-u8zu2n"&&(v.innerHTML=We),jt=s(t),E=o(t,"P",{"data-svelte-h":!0}),u(E)!=="svelte-9xe856"&&(E.innerHTML=Xe),qt=s(t),B=o(t,"UL",{"data-svelte-h":!0}),u(B)!=="svelte-t33yfr"&&(B.innerHTML=Ze),Et=s(t),z=o(t,"P",{"data-svelte-h":!0}),u(z)!=="svelte-1eibtq5"&&(z.textContent=Ke),Bt=s(t),R=o(t,"UL",{"data-svelte-h":!0}),u(R)!=="svelte-1k70p85"&&(R.innerHTML=tl),zt=s(t),A=o(t,"P",{"data-svelte-h":!0}),u(A)!=="svelte-14wumhr"&&(A.textContent=el),Rt=s(t),c=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(c)!=="svelte-1it7x9m"&&(c.textContent=ll),At=s(t),D=o(t,"P",{"data-svelte-h":!0}),u(D)!=="svelte-1ps05r3"&&(D.innerHTML=nl),Dt=s(t),I=o(t,"P",{"data-svelte-h":!0}),u(I)!=="svelte-vb6cma"&&(I.innerHTML=il),It=s(t),V=o(t,"P",{"data-svelte-h":!0}),u(V)!=="svelte-es68w5"&&(V.innerHTML=sl),Vt=s(t),g=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(g)!=="svelte-lvew4p"&&(g.innerHTML=al),Gt=s(t),G=o(t,"P",{"data-svelte-h":!0}),u(G)!=="svelte-ipot0g"&&(G.innerHTML=ol),Nt=s(t),d=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(d)!=="svelte-1r8x2dd"&&(d.innerHTML=ul),Ut=s(t),x=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(x)!=="svelte-1oc31zg"&&(x.textContent=rl),Yt=s(t),N=o(t,"P",{"data-svelte-h":!0}),u(N)!=="svelte-1h8bgpo"&&(N.textContent=ml),St=s(t),C=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(C)!=="svelte-5uz5bp"&&(C.innerHTML=fl),Ft=s(t),U=o(t,"P",{"data-svelte-h":!0}),u(U)!=="svelte-b1mopj"&&(U.textContent=pl),Ot=s(t),h=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(h)!=="svelte-1a8euan"&&(h.innerHTML=vl),Jt=s(t),Ie(Y.$$.fragment,t),Qt=s(t),S=o(t,"P",{"data-svelte-h":!0}),u(S)!=="svelte-17b3727"&&(S.innerHTML=cl),Wt=s(t),F=o(t,"P",{"data-svelte-h":!0}),u(F)!=="svelte-1nqt8we"&&(F.textContent=gl),Xt=s(t),O=o(t,"P",{"data-svelte-h":!0}),u(O)!=="svelte-1n6l3cx"&&(O.textContent=dl),Zt=s(t),J=o(t,"P",{"data-svelte-h":!0}),u(J)!=="svelte-k4ji5q"&&(J.innerHTML=xl),Kt=s(t),T=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(T)!=="svelte-wmwv5j"&&(T.textContent=Cl),te=s(t),Ie(Q.$$.fragment,t),ee=s(t),W=o(t,"P",{"data-svelte-h":!0}),u(W)!=="svelte-16vl6kb"&&(W.innerHTML=hl),le=s(t),_=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(_)!=="svelte-152v0kx"&&(_.innerHTML=Tl),ne=s(t),X=o(t,"P",{"data-svelte-h":!0}),u(X)!=="svelte-17oev68"&&(X.textContent=_l),ie=s(t),Z=o(t,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-1kk8t1l"&&(Z.innerHTML=kl),se=s(t),K=o(t,"UL",{"data-svelte-h":!0}),u(K)!=="svelte-o35t6d"&&(K.innerHTML=Hl),ae=s(t),tt=o(t,"P",{"data-svelte-h":!0}),u(tt)!=="svelte-1dusord"&&(tt.textContent=Ll),oe=s(t),k=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(k)!=="svelte-1ngyuh1"&&(k.innerHTML=bl),ue=s(t),et=o(t,"P",{"data-svelte-h":!0}),u(et)!=="svelte-10t5ox4"&&(et.textContent=Ml),re=s(t),lt=o(t,"P",{"data-svelte-h":!0}),u(lt)!=="svelte-1m734ge"&&(lt.textContent=Pl),me=s(t),H=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(H)!=="svelte-ex1qw6"&&(H.textContent=wl),fe=s(t),nt=o(t,"P",{"data-svelte-h":!0}),u(nt)!=="svelte-uwpvaz"&&(nt.textContent=$l),pe=s(t),Ie(it.$$.fragment,t),ve=s(t),L=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(L)!=="svelte-1w97hke"&&(L.textContent=yl),ce=s(t),st=o(t,"P",{"data-svelte-h":!0}),u(st)!=="svelte-p6mxd3"&&(st.textContent=jl),ge=s(t),at=o(t,"UL",{"data-svelte-h":!0}),u(at)!=="svelte-12mso9r"&&(at.innerHTML=ql),de=s(t),b=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(b)!=="svelte-l70qs1"&&(b.innerHTML=El),xe=s(t),ot=o(t,"P",{"data-svelte-h":!0}),u(ot)!=="svelte-132h7lg"&&(ot.textContent=Bl),Ce=s(t),ut=o(t,"UL",{"data-svelte-h":!0}),u(ut)!=="svelte-h9jcm6"&&(ut.innerHTML=zl),he=s(t),rt=o(t,"P",{"data-svelte-h":!0}),u(rt)!=="svelte-1fajiwo"&&(rt.textContent=Rl),Te=s(t),M=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(M)!=="svelte-1u8oddm"&&(M.textContent=Al),_e=s(t),mt=o(t,"P",{"data-svelte-h":!0}),u(mt)!=="svelte-zhi3z0"&&(mt.innerHTML=Dl),ke=s(t),ft=o(t,"P",{"data-svelte-h":!0}),u(ft)!=="svelte-1q3wju3"&&(ft.textContent=Il),He=s(t),pt=o(t,"P",{"data-svelte-h":!0}),u(pt)!=="svelte-kf0yk1"&&(pt.textContent=Vl),Le=s(t),vt=o(t,"P",{"data-svelte-h":!0}),u(vt)!=="svelte-jp5jgk"&&(vt.textContent=Gl),be=s(t),P=o(t,"H2",{id:!0,"data-svelte-h":!0}),u(P)!=="svelte-1gg4oo2"&&(P.textContent=Nl),Me=s(t),ct=o(t,"P",{"data-svelte-h":!0}),u(ct)!=="svelte-obatvl"&&(ct.textContent=Ul),Pe=s(t),gt=o(t,"P",{"data-svelte-h":!0}),u(gt)!=="svelte-5hoa63"&&(gt.textContent=Yl),we=s(t),dt=o(t,"P",{"data-svelte-h":!0}),u(dt)!=="svelte-1ub7yaf"&&(dt.textContent=Sl),$e=s(t),w=o(t,"DIV",{class:!0,"data-svelte-h":!0}),u(w)!=="svelte-14wvpqf"&&(w.innerHTML=Fl),ye=s(t),xt=o(t,"P",{"data-svelte-h":!0}),u(xt)!=="svelte-10vjjut"&&(xt.textContent=Ol),je=s(t),Ct=o(t,"P",{"data-svelte-h":!0}),u(Ct)!=="svelte-2abtqd"&&(Ct.innerHTML=Jl),qe=s(t),$=o(t,"H2",{id:!0,"data-svelte-h":!0}),u($)!=="svelte-1wio0sz"&&($.textContent=Ql),Ee=s(t),ht=o(t,"P",{"data-svelte-h":!0}),u(ht)!=="svelte-eivpv1"&&(ht.innerHTML=Wl),Be=s(t),Tt=o(t,"P",{"data-svelte-h":!0}),u(Tt)!=="svelte-4lzc27"&&(Tt.innerHTML=Xl),ze=s(t),_t=o(t,"P",{"data-svelte-h":!0}),u(_t)!=="svelte-nqe7pz"&&(_t.innerHTML=Zl),Re=s(t),Ht=o(t,"P",{}),Kl(Ht).forEach(l),this.h()},h(){r(m,"name","hf:doc:metadata"),r(m,"content",JSON.stringify(mn)),r(f,"id",""),r(p,"id",""),r(v,"class","flex justify-center"),r(c,"id",""),r(g,"class","flex justify-center"),r(d,"class","flex justify-center"),r(x,"id",""),r(C,"class","flex justify-center"),r(h,"class","flex justify-center"),r(T,"id",""),r(_,"class","flex justify-center"),r(k,"class","flex justify-center"),r(H,"id",""),r(L,"id",""),r(b,"class","flex justify-center"),r(M,"id",""),r(P,"id",""),r(w,"class","flex justify-center"),r($,"id","")},m(t,e){on(document.head,m),n(t,Lt,e),n(t,kt,e),n(t,bt,e),n(t,f,e),n(t,Mt,e),Ve(y,t,e),n(t,Pt,e),n(t,j,e),n(t,wt,e),n(t,p,e),n(t,$t,e),n(t,q,e),n(t,yt,e),n(t,v,e),n(t,jt,e),n(t,E,e),n(t,qt,e),n(t,B,e),n(t,Et,e),n(t,z,e),n(t,Bt,e),n(t,R,e),n(t,zt,e),n(t,A,e),n(t,Rt,e),n(t,c,e),n(t,At,e),n(t,D,e),n(t,Dt,e),n(t,I,e),n(t,It,e),n(t,V,e),n(t,Vt,e),n(t,g,e),n(t,Gt,e),n(t,G,e),n(t,Nt,e),n(t,d,e),n(t,Ut,e),n(t,x,e),n(t,Yt,e),n(t,N,e),n(t,St,e),n(t,C,e),n(t,Ft,e),n(t,U,e),n(t,Ot,e),n(t,h,e),n(t,Jt,e),Ve(Y,t,e),n(t,Qt,e),n(t,S,e),n(t,Wt,e),n(t,F,e),n(t,Xt,e),n(t,O,e),n(t,Zt,e),n(t,J,e),n(t,Kt,e),n(t,T,e),n(t,te,e),Ve(Q,t,e),n(t,ee,e),n(t,W,e),n(t,le,e),n(t,_,e),n(t,ne,e),n(t,X,e),n(t,ie,e),n(t,Z,e),n(t,se,e),n(t,K,e),n(t,ae,e),n(t,tt,e),n(t,oe,e),n(t,k,e),n(t,ue,e),n(t,et,e),n(t,re,e),n(t,lt,e),n(t,me,e),n(t,H,e),n(t,fe,e),n(t,nt,e),n(t,pe,e),Ve(it,t,e),n(t,ve,e),n(t,L,e),n(t,ce,e),n(t,st,e),n(t,ge,e),n(t,at,e),n(t,de,e),n(t,b,e),n(t,xe,e),n(t,ot,e),n(t,Ce,e),n(t,ut,e),n(t,he,e),n(t,rt,e),n(t,Te,e),n(t,M,e),n(t,_e,e),n(t,mt,e),n(t,ke,e),n(t,ft,e),n(t,He,e),n(t,pt,e),n(t,Le,e),n(t,vt,e),n(t,be,e),n(t,P,e),n(t,Me,e),n(t,ct,e),n(t,Pe,e),n(t,gt,e),n(t,we,e),n(t,dt,e),n(t,$e,e),n(t,w,e),n(t,ye,e),n(t,xt,e),n(t,je,e),n(t,Ct,e),n(t,qe,e),n(t,$,e),n(t,Ee,e),n(t,ht,e),n(t,Be,e),n(t,Tt,e),n(t,ze,e),n(t,_t,e),n(t,Re,e),n(t,Ht,e),Ae=!0},p:en,i(t){Ae||(Ge(y.$$.fragment,t),Ge(Y.$$.fragment,t),Ge(Q.$$.fragment,t),Ge(it.$$.fragment,t),Ae=!0)},o(t){Ne(y.$$.fragment,t),Ne(Y.$$.fragment,t),Ne(Q.$$.fragment,t),Ne(it.$$.fragment,t),Ae=!1},d(t){t&&(l(Lt),l(kt),l(bt),l(f),l(Mt),l(Pt),l(j),l(wt),l(p),l($t),l(q),l(yt),l(v),l(jt),l(E),l(qt),l(B),l(Et),l(z),l(Bt),l(R),l(zt),l(A),l(Rt),l(c),l(At),l(D),l(Dt),l(I),l(It),l(V),l(Vt),l(g),l(Gt),l(G),l(Nt),l(d),l(Ut),l(x),l(Yt),l(N),l(St),l(C),l(Ft),l(U),l(Ot),l(h),l(Jt),l(Qt),l(S),l(Wt),l(F),l(Xt),l(O),l(Zt),l(J),l(Kt),l(T),l(te),l(ee),l(W),l(le),l(_),l(ne),l(X),l(ie),l(Z),l(se),l(K),l(ae),l(tt),l(oe),l(k),l(ue),l(et),l(re),l(lt),l(me),l(H),l(fe),l(nt),l(pe),l(ve),l(L),l(ce),l(st),l(ge),l(at),l(de),l(b),l(xe),l(ot),l(Ce),l(ut),l(he),l(rt),l(Te),l(M),l(_e),l(mt),l(ke),l(ft),l(He),l(pt),l(Le),l(vt),l(be),l(P),l(Me),l(ct),l(Pe),l(gt),l(we),l(dt),l($e),l(w),l(ye),l(xt),l(je),l(Ct),l(qe),l($),l(Ee),l(ht),l(Be),l(Tt),l(ze),l(_t),l(Re),l(Ht)),l(m),Ue(y,t),Ue(Y,t),Ue(Q,t),Ue(it,t)}}}const mn={local:"",sections:[{local:"",title:"Немного истории"},{local:"",title:"Трансформеры - языковые модели "},{local:"",title:"Трансформеры - большие модели"},{local:"",title:"Трансферное обучение "},{local:"",title:"Общая архитектура"},{local:"",title:"Введение"},{local:"",title:"Слой внимания"},{local:"",title:"Первоначальная архитектура"},{local:"",title:"Архитектуры и чекпоинты"}],title:"Как работают трансформеры?"};function fn(Se){return ln(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dn extends nn{constructor(m){super(),sn(this,m,fn,rn,tn,{})}}export{dn as component};
